Bug 1473209 (CVE-2017-11473) - CVE-2017-11473 kernel: Buffer overflow in mp_override_legacy_irq()
Summary: CVE-2017-11473 kernel: Buffer overflow in mp_override_legacy_irq()
Status: CLOSED WONTFIX
Alias: CVE-2017-11473
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170718,reported=2...
Keywords: Security
Depends On: 1473210 1474371
Blocks: 1473211
TreeView+ depends on / blocked
 
Reported: 2017-07-20 08:50 UTC by Adam Mariš
Modified: 2019-06-08 22:09 UTC (History)
37 users (show)

(edit)
Buffer overflow in the mp_override_legacy_irq() function in arch/x86/kernel/acpi/boot.c in the Linux kernel through 4.12.2 allows local users to gain privileges via a crafted ACPI table.
Clone Of:
(edit)
Last Closed: 2017-07-24 13:21:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0654 None None None 2018-04-10 05:04 UTC

Description Adam Mariš 2017-07-20 08:50:21 UTC
Buffer overflow in the mp_override_legacy_irq() function in arch/x86/kernel/acpi/boot.c in the Linux kernel through 4.12.2 allows local users to gain privileges via a crafted ACPI table.

References:

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11473

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-11473

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=dad5ab0db8deac535d03e3fe3d8f2892173fa6a4

Comment 1 Adam Mariš 2017-07-20 08:51:05 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1473210]

Comment 6 Justin M. Forbes 2018-01-29 16:22:20 UTC
This was fixed for Fedora with the 4.12.4 kernel updates

Comment 7 errata-xmlrpc 2018-04-10 05:03:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0654 https://access.redhat.com/errata/RHSA-2018:0654

Comment 8 Wade Mealing 2019-06-06 02:09:19 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates of the Red Hat products. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

This attack requires 

- An attacker to be able to write to the ACPI tables ( local, privileged operation and non generalized attacks)
- The ability for the attacker to reboot the system  ( local, privileged operation )
- The ACPI table changes to persist through reboots  ( not common on cloud/serverless platforms )
- This modification to the table alone is able to possibly corrupt memory, but the corruption will not be enough alone, the corrupted affected memory will be overwritten with valid acpi struct data which also has to corrupt the memory in which a way the flaw can create abuse (HARD).
- The attacker will find it significantly difficult to abuse this a flaw in early-boot as injecting code/controlled execution at this point would require privileges.  If an attacker had this specific privilege, there are easier ways to gain privilege escalation.


Note You need to log in before you can comment on or make changes to this bug.